Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
トークンの過去の価格データを取得
cURL
curl --request GET \ --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/prices \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/prices" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/prices', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/prices", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/prices" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/prices") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/prices") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "address": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN", "priceInUsd": "1000", "timestamp": 1754055151000, "priceInNative": "1000", "priceInSol": "1000" } ], "endCursor": "eyJpZCI6ImVuZCJ9", "hasNext": false, "hasPrev": false, "startCursor": "eyJpZCI6InN0YXJ0In0=", "total": 564094 }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
サポートされているネットワークに記載されているチェーン名 Supported blockchain chains
sol
eth
bsc
トークンのアドレス
ページネーションカーソル
ページあたりの結果数
ページネーション方向(next または prev) Pagination direction
next
prev
価格を取得
Generic pagination response
Page data
Show child attributes
Cursor for the end of current page
"eyJpZCI6ImVuZCJ9"
Whether there is a next page
false
Whether there is a previous page
Cursor for the start of current page
"eyJpZCI6InN0YXJ0In0="
Total number of items matching the query (not just the current page). When None, the caller should treat it as unknown (backward-compatible).
None
564094
このページは役に立ちましたか?